import dayjs from 'dayjs'
import * as duration from 'dayjs/plugin/duration'
dayjs.extend(duration)

import browser from 'webextension-polyfill'

import { isDev } from '../shared/utils'
import { blocked } from './blocked'

export const buttons = [
  ...(isDev ? [{ label: 'Dev', duration: dayjs.duration({ seconds: 5 }) }] : []),
  { label: '1 minute', duration: dayjs.duration({ minutes: 1 }) },
  { label: '5 minutes', duration: dayjs.duration({ minutes: 5 }) },
  { label: '15 minutes', duration: dayjs.duration({ minutes: 15 }) },
  { label: '1 hour', duration: dayjs.duration({ hours: 1 }) },
]

export function dismiss(duration) {
  browser.runtime.sendMessage({
    type: 'dismiss',
    duration: duration.asMilliseconds(),
    host: window.location.host,
  })
  blocked.set(false)
}
